::
:: Step4-massload.bat
:: 
:: Transform raw xml data into unique identity format
::
:: Input:
::   dbname 	                       	Database name
::   dbuser 			        Database user name
::   dbpwd  			        Database user password
::   infile (taxResGen.xml)	output of DB sql results in XML format
::
::


setlocal
call env.bat

if "%processType%" == "toolkit" goto toolkitusage
if "%processType%" == "server" goto serverusage


:toolkitusage
%TOOLKITDIR%\bin\massload %RESGENFILE%
goto end

:serverusage
massload -customizer %CUSTOMIZEFILE% -dbname %DBNAME% -dbuser %DBUSER% -dbpwd %DBPWD% -infile %RESGENFILE% -method sqlimport -commitcount 20 -schemaname %DBUSER%
goto end

:end

endlocal
