::
:: Step1-idresgen.bat
:: 
:: Transform raw xml data into unique identity format
::
:: Input:
::   dbname 	                       	Database name
::   dbuser 			        Database user name
::   dbpwd  			        Database user password
::   infile (tax.xml)	output of DB sql results in XML format
::
:: Output:
::   outfile    (taxResGen.xml)	output of unique identifiers into Raw data ready for massload
::


setlocal
call env.bat

set OUTFILE=%RESGENFILE%
set INFILE=%INPUTFILE%

if "%processType%" == "toolkit" goto toolkitusage
if "%processType%" == "server" goto serverusage


:toolkitusage
%TOOLKITDIR%\bin\idresgen %INFILE% %OUTFILE%
goto end

:serverusage
idresgen -dbname %DBNAME% -dbuser %DBUSER% -dbpwd %DBPWD% -infile %INFILE% -outfile %OUTFILE% -method mixed -schemaname %DBUSER%
goto end

:end

endlocal
